/*-----投稿用js-----*/

/*--言語の取得（格納フォルダで判別）--*/
var folderName=location.href.split("/");
var folderLang=folderName[folderName.length -2];

//日付をselectdataから取得
function checkSelect(obj,val){
	for(var i = 0; i < obj.length; i++){
		if(obj[i].value == val){
			obj[i].selected = true;
			return;
		}
	}
}

//ストレージにtaskDataがあればデータを取得
if(localStorage.task == null){
	var taskData = new Array(0);
}else{
	var taskData = JSON.parse(localStorage.task);
}

var editBack = document.getElementById('backblack'); //黒バックを取得
var editPostBox = document.getElementById('newpostbox'); //投稿ボックスを取得
var cancelBtn = document.getElementById('cancelButton'); //キャンセルボタンを取得

var yesterdayWork = false;
var yesterdayChores = false;
var yesterdayOther = false;

/*--残り人生消費率（変数）--*/
var deathLineTime = localStorage.getItem('deathLineTime');

var WIDTH = localStorage.getItem('WIDTH');
var HEIGHT = localStorage.getItem('HEIGHT');

var consumpTitleX = 20;
var consumpTitleY = 27;
var consumpTitleH = 40;

var consumpTextX = 20;
var consumpTextY = 48;

var consumpTimeX = WIDTH/2+95;

var consumpRateX = WIDTH-20;

var consumpBlockH = 60;

//タスクを表示
showAllTasks();

function showAllTasks(){
	if(localStorage.task != null){ //ストレージにデータがあれば以下を実行
		
		//全てのタスク
			var taskYesterday = document.getElementById('yesterdaylist'); //昨日のタスクを表示するdiv
			var taskToday = document.getElementById('todaylist'); //昨日のタスクを表示するdiv
			var taskTomorrow = document.getElementById('tomorrowlist'); //昨日のタスクを表示するdiv
			var todayTitle = document.getElementById('todaytitle');
			var tomorrowTitle = document.getElementById('tomorrowtitle');
			
			//投稿されているデータを削除
			taskYesterday.innerHTML = '';
			taskToday.innerHTML = '';
			taskTomorrow.innerHTML = '';
			todayTitle.style.display = 'none';
			tomorrowTitle.style.display = 'none';
		
		for(var i=0; i<taskData.length; i++){ //配列データの数だけ作成
			
			//タスクデータを日付順に並べ替え
			var sort_by = function(field, reverse, primer){
   				reverse = (reverse) ? -1 : 1;
   				return function(a,b){
      				a = a[field];
      				b = b[field];
       				if (typeof(primer) != 'undefined'){
           				a = primer(a);
           				b = primer(b);
       				}
       				if (a<b) return reverse * -1;
       				if (a>b) return reverse * 1;
       				return 0;
   				}
			}		
			
			taskData.sort(sort_by('deadLine', false, function(a){return a.toUpperCase()}));
			
			taskId = taskData[i].id;
			timeData = JSON.parse(localStorage.getItem("time"+taskId));
			
			//タスク表示用タグの作成
			var postWork = document.createElement('p'); //日付用pタグ作成（仕事）
				postWork.id = "workdate";
				
			var postChores = document.createElement('p'); //日付用pタグ作成（雑務）
				postChores.id = "choresdate";
				
			var postOther = document.createElement('p'); //日付用pタグ作成（その他）
				postOther.id = "otherdate";
				
			var displayLi = document.createElement('li'); //全体のdisplayを変更するための親li
				displayLi.id = "display"+i.toString();
				displayLi.className = "displayLi";
				
			var taskDiv = document.createElement('dl'); //タスクを表示するためのdlタグ作成
				taskDiv.id = "acMenu";
				
			var taskTxt = document.createElement('dt'); //タスク内容を表示するためのdtタグ作成
				taskTxt.id = "acOpen";
				taskTxt.className = "acOpen"+i.toString();
			
			var dtPadding = document.createElement('p'); //dtのpadding用
				dtPadding.className = "limitpadding";
			
			var canvasBlock = document.createElement('dt'); //タスク時間を表示するためのdtタグ作成
				canvasBlock.id = "forCanvas";
			
			var txtPadding = document.createElement('p'); //dtのpadding用
				txtPadding.className = "txtpadding";
				txtPadding.id = "txtpadding"+i.toString();
			
			var lineDraw = document.createElement('div'); //取り消し線用div
				lineDraw.id = "lineDraw"+i.toString();
				lineDraw.className = "lineDraw";
				
			var expandBox = document.createElement('dd'); //タスク詳細を表示するためのddタグ作成
				expandBox.id = "expand"+i.toString();
			
			//タスク時間用タグの作成
			var canvasForLimit = document.createElement('canvas'); //タスク時間用canvasタグ作成
				canvasForLimit.id = "canvas"+i.toString();
				canvasForLimit.className = "canvasForLimit";
			
			//再生ボタンの作成
			var playCheck = document.createElement('form'); //再生ボタン用formタグ作成
				playCheck.name = "playcheck";
				playCheck.id = "playForm"+i.toString();
				
			var playBtn = document.createElement('input'); //再生ボタン用inputタグ作成
				playBtn.id = "play"+i.toString();
				playBtn.type = "checkbox";
				playBtn.name = "check"+i.toString();
				
			var playLabel = document.createElement('label'); //再生ボタン用labelタグ作成
				playLabel.htmlFor = "play"+i.toString();
			
			//削除ボタンの作成
			var deleteBtn = document.createElement('input'); //削除ボタン用inputタグ作成
				deleteBtn.id = "delete"+i.toString();
				deleteBtn.type = "button";
				deleteBtn.className = "delete";
				
			//編集ボタンの作成	
			var editBtn = document.createElement('input'); //編集ボタン用inputタグ作成
				editBtn.id = "edit"+i.toString();
				editBtn.type = "button";
				editBtn.className = "edit";
            
            // 日本語と英語の使い分け
            if (folderLang == "jp") {
                deleteBtn.value = "削除";
                editBtn.value = "タスク編集";
            }else{
                deleteBtn.value = "Delete";
                editBtn.value = "Edit Task";
            }
            
			//タスク詳細用タグの作成
			var canvasForDetails = document.createElement('canvas'); //タスク詳細用canvasタグ作成
				canvasForDetails.id = "canvasdetail"+i.toString();
				canvasForDetails.className = "canvasdetail";
			
			
			//各タグに文字を代入
            postWork.innerHTML =taskData[i].date; //pタグに締め切り日を代入（仕事・メインページ用）
            postChores.innerHTML =taskData[i].date; //pタグに締め切り日を代入（雑務・メインページ用）
            postOther.innerHTML =taskData[i].date; //pタグに締め切り日を代入（その他・メインページ用）			
			
			txtPadding.innerHTML = taskData[i].task; //dtタグにタスク内容を代入（メインページ用）
			
			//投稿場所の割り出し
			var now = new Date(); //現在の年月日を取得
			var dayDate = new Date(now.getFullYear(), now.getMonth(), now.getDate(), 0, 0, 0); //現在の年月日の0時0分0秒を算出
			var time = dayDate.getTime(); //現在の年月日の0時0分0秒の時間を取得
            
			var deadLineDate = new Date(taskData[i].dueYear, taskData[i].dueMonth-1, taskData[i].dueDay, 0, 0, 0); //締め切り日の0時0分0秒を算出
			var deadLineTime = deadLineDate.getTime(); //締め切り日の0時0分0秒の時間を取得
            
			var dayLength = 24*60*60*1000;
			
			if((time - deadLineTime) > dayLength){	
				localStorage.removeItem('time'+taskId); //タスクの時間データを削除
	
				taskData.splice(i,1);
				localStorage.task = JSON.stringify(taskData);
	
	
				location.reload(); //ページを更新				
			}
			
			
			//各タグを設置
			
			var taskStatus = taskData[i].status; //タスクのジャンルを取得			
			
			//締め切り日が今日の場合
			if(time == deadLineTime){
				taskToday.appendChild(displayLi);
				if(taskStatus == "work"){ //タスクのジャンルが「仕事」の場合
					displayLi.appendChild(postWork); //taskToday内にpostWorkを設置（メインページ用）
				}else if(taskStatus == "chores"){ //タスクのジャンルが「雑務」の場合
					displayLi.appendChild(postChores); //taskToday内にpostChoresを設置（メインページ用）
				}else if(taskStatus == "other"){ //タスクのジャンルが「その他」の場合
					displayLi.appendChild(postOther); //taskToday内にpostOtherを設置（メインページ用）
				}
				displayLi.appendChild(taskDiv); //taskToday内にtaskDivを設置（メインページ用）
				
			//締め切り日が昨日の場合
			}else if(time > deadLineTime){
				taskYesterday.appendChild(displayLi);
				if(taskStatus == "work"){ //タスクのジャンルが「仕事」の場合
					displayLi.appendChild(postWork); //taskYesterday内にpostWorkを設置（メインページ用）
				}else if(taskStatus == "chores"){ //タスクのジャンルが「雑務」の場合
					displayLi.appendChild(postChores); //taskYesterday内にpostChoresを設置（メインページ用）
				}else if(taskStatus == "other"){ //タスクのジャンルが「その他」の場合
					displayLi.appendChild(postOther); //taskYesterday内にpostOtherを設置（メインページ用）
				}
				displayLi.appendChild(taskDiv); //taskYesterday内にtaskDivを設置（メインページ用）
				
			//締め切り日が明日以降の場合
			}else if(time < deadLineTime){
				taskTomorrow.appendChild(displayLi);
				if(taskStatus == "work"){ //タスクのジャンルが「仕事」の場合
					displayLi.appendChild(postWork); //taskTomorrow内にpostWorkを設置（メインページ用）
				}else if(taskStatus == "chores"){ //タスクのジャンルが「雑務」の場合
					displayLi.appendChild(postChores); //taskTomorrow内にpostChoresを設置（メインページ用）
				}else if(taskStatus == "other"){ //タスクのジャンルが「その他」の場合
					displayLi.appendChild(postOther); //taskTomorrow内にpostOtherを設置（メインページ用）
				}
				displayLi.appendChild(taskDiv); //taskTomorrow内にtaskDivを設置（メインページ用）
			}
			
			taskDiv.appendChild(canvasBlock); //taskDiv内にcanvasBlockを設置 ⇒ 経過時間用ボックスdt
			canvasBlock.appendChild(dtPadding); //canvasBlock内にdtPaddingを設置 ⇒ padding用p
			dtPadding.appendChild(playCheck); //dtPadding内にplayCheckを設置 ⇒ 再生ボタン用form
			playCheck.appendChild(playBtn); //playCheck内にplayBtnを設置 ⇒ 再生ボタンinput
			playCheck.appendChild(playLabel); //playCheck内にplayLabelを設置 ⇒ 再生ボタンlabel
			dtPadding.appendChild(canvasForLimit); //canvasBlock内にcanvasForLimitを設置 ⇒ 経過時間canvas
			taskDiv.appendChild(taskTxt); //taskDiv内にtaskTxtを設置 ⇒ タスク内容dt
			taskTxt.appendChild(txtPadding); //taskTxt内にtxtPaddingを設置 ⇒ padding用p
			txtPadding.appendChild(lineDraw); //txtPadding内にlineDrawを設置 ⇒ 取消し線用div
			taskDiv.appendChild(expandBox); //taskDiv内にexpandBoxを設置 ⇒ タスク詳細ボックスdd
			expandBox.appendChild(editBtn); //expandBox内にeditBtnを設置 ⇒ 編集ボタンinput
			expandBox.appendChild(deleteBtn); //expandBox内にdeleteBtnを設置 ⇒ 削除ボタンinput
			expandBox.appendChild(canvasForDetails); //expandBox内にcanvasForDetailsを設置 ⇒ タスク詳細canvas		
			
			//詳細用キャンバスのサイズ指定
			if(bpm != null && deathLineTime > time){
				var detailsHeight = consumpBlockH*2+consumpTitleH;
			}else{
				var detailsHeight = 0;
			}
			
			var canvasDetails = document.getElementsByClassName('canvasdetail');

			canvasDetails[i].setAttribute('width',WIDTH);
			canvasDetails[i].setAttribute('height',detailsHeight);
            
            //定期タスクの確認
            var periodicCount = timeData.count;
            
            if(periodicCount != 0){
                if (folderLang == "jp") {
                    txtPadding.style.background = 'url("../images/periodic.png") no-repeat right 18px';
                }else{
                    txtPadding.style.background = 'url("../images/periodic.png") no-repeat right 10px';
                }
            }
            
			
			//取消し線のサイズ設定
			var lineHeight = txtPadding.clientHeight;
				lineDraw.style.height = lineHeight + 'px';
				lineDraw.style.marginTop = '-'+lineHeight+'px';

			var displayPage = localStorage.getItem('displayPage');
			var displayBlock = document.getElementById('display'+i);

			if(displayPage == 'allPage'){
				if(time == deadLineTime){
					todayTitle.style.display = "block";
				}else if(time < deadLineTime){
					tomorrowTitle.style.display = "block";
				}
			}else if(displayPage == 'workPage'){
				if(taskStatus != 'work'){
					displayBlock.style.display = 'none';
				}else if(taskStatus == 'work'){
					if(time == deadLineTime){
						todayTitle.style.display = "block";
					}else if(time < deadLineTime){
						tomorrowTitle.style.display = "block";
					}
					if(time > deadLineTime){
						yesterdayWork = true;
					}
				}
			}else if(displayPage == 'choresPage'){
				if(taskStatus != 'chores'){
					displayBlock.style.display = 'none';
				}else if(taskStatus == 'chores'){
					if(time == deadLineTime){
						todayTitle.style.display = "block";
					}else if(time < deadLineTime){
						tomorrowTitle.style.display = "block";
					}
					if(time > deadLineTime){
						yesterdayChores = true;
					}
				}
			}else if(displayPage == 'otherPage'){
				if(taskStatus != 'other'){
					displayBlock.style.display = 'none';
				}else if(taskStatus == 'other'){
					if(time == deadLineTime){
						todayTitle.style.display = "block";
					}else if(time < deadLineTime){
						tomorrowTitle.style.display = "block";
					}
					if(time > deadLineTime){
						yesterdayOther = true;
					}
				}
			}			
				
			//予定時間が設定されているか
			if(taskData[i].limitTime > 0){ //予定時間が0より大きい
				timeData = JSON.parse(localStorage.getItem("time"+taskId)); //タスクの時間データを取得
				timeData.limitSet = 'true'; //予定時間が設定されている
				localStorage.setItem('time'+taskId,JSON.stringify(timeData)); //ストレージに保存
			}else if(taskData[i].limitTime == 0){ //予定時間が0
				timeData = JSON.parse(localStorage.getItem("time"+taskId)); //タスクの時間データを取得
				timeData.limitSet = 'false'; //予定時間が設定されていない
				localStorage.setItem('time'+taskId,JSON.stringify(timeData)); //ストレージに保存
			}
			
			//取り消し線が引かれている場合
			var lineDrawn = timeData.lineDrawn;
			
			if(lineDrawn == 'true'){
				txtPadding.style.color = '#606060';
                lineDraw.style.height = lineHeight + 'px';
				lineDraw.style.marginTop = '-'+lineHeight+'px';
                lineDraw.style.width = lineWidth + 'px';
				if(taskStatus == 'work'){
					displayLi.style.color = '#7da6c5';
				}else if(taskStatus == 'chores'){
					displayLi.style.color = '#95a992';
				}else if(taskStatus == 'other'){
					displayLi.style.color = '#99899e';
				}
				canvasForLimit.style.display = 'none';
				playCheck.style.display = 'none';
                if(periodicCount != 0){
                    txtPadding.style.background = 'none';
                }
			}else if(lineDrawn == 'false'){
                lineDraw.style.width = 0 + 'px';
            }
			
			var ddExpand = timeData.ddExpand;
			timeData.ddExpand = 'false';
			localStorage.setItem('time'+taskId,JSON.stringify(timeData));
			
			//再生ボタン
			playBtn.onclick = function (){
				var play_i = $(this).attr('id').replace('play','');
				var taskId = taskData[play_i].id;
				
				var playFunc = document.getElementById("play"+play_i);
				
				if (playFunc.checked){ //ボタンがチェックされている
						timeData = JSON.parse(localStorage.getItem("time"+taskId)); //タスクの時間データを取得
						timeData.limit = 'true'; //再生が押されている
                    
                        var now = new Date();
                        timeData.playTime = now.getTime();
                        timeData.totalTime = now.getTime();
						localStorage.setItem('time'+taskId,JSON.stringify(timeData)); //ストレージに保存
					}else{ //ボタンがチェックされていない
						timeData = JSON.parse(localStorage.getItem("time"+taskId)); //タスクの時間データを取得
						timeData.limit = 'false'; //再生が押されていない
                        var limitStorage = timeData.limitTime;
                        
                        var now = new Date();
                        var nowTime = now.getTime();
                        
                        if(limitStorage >= 0){
                            timeData.limitTime = timeData.limitTime - (nowTime - timeData.playTime);
                        }else if(limitStorage < 0){
                            timeData.limitLapse = timeData.limitLapse + (nowTime - timeData.playTime);
                        }
                        timeData.timeLapse = timeData.timeLapse + (nowTime - timeData.totalTime);
						localStorage.setItem('time'+taskId,JSON.stringify(timeData)); //ストレージに保存
				}
			}
			
			//ページ更新時に再生ボタンのON/OFFを確認
			var checkStatus = timeData.limit;
			
			if(checkStatus == 'true'){
				playBtn.checked = true;
			}else if(checkStatus == 'false' || checkStatus == 'new'){
				playBtn.checked = false;
			}
			
			//削除ボタン
			deleteBtn.addEventListener('click',deletePost); //クリック時に実行
			
			function deletePost(e){
				var delete_i = $(this).attr('id').replace('delete','');
				var taskId = taskData[delete_i].id;
			
				localStorage.removeItem('time'+taskId); //タスクの時間データを削除
				
				taskData.splice(delete_i,1); //タスクデータを削除して詰める
				localStorage.task = JSON.stringify(taskData); //配列を文字（JSON）に変換する
				
				showAllTasks();
				fadeFunc();
				swipeFunc();
				setTimeout(function() {
					myScroll.refresh();
				}, 200);
			}
			
			//編集ボタン
			editBtn.addEventListener('click',editPost); //クリック時に実行
			
			function editPost(e){
				var edit_i = $(this).attr('id').replace('edit','');
				editBack.style.display = 'block'; //黒バックを表示
   				editPostBox.style.display = 'block'; //投稿ボックスを表示
                editPostBox.style.top = (HEIGHT - newPostBox.clientHeight - 88)/2 + 'px';
				
				var taskId = taskData[edit_i].id;
				localStorage.setItem('editTask',edit_i);
				localStorage.setItem('editTaskTime',taskId);
				
				var timeData = JSON.parse(localStorage.getItem("time"+taskId));
				
				//タスクデータから締め切り年月日を取得
				var editYear = taskData[edit_i].dueYear; 
				var editMonth = taskData[edit_i].dueMonth;
				var editDay = taskData[edit_i].dueDay;
				var editHour = taskData[edit_i].dueHour;
				var editMin = taskData[edit_i].dueMin;
				
				//入力フォームを取得
				var taskForm = document.getElementById('taskForm'); 
				
				//フォームの年月日に締め切り日を入力
				checkSelect(taskForm.elements["dueyear"],editYear);
				checkSelect(taskForm.elements["duemonth"],editMonth);
				checkSelect(taskForm.elements["dueday"],editDay);
				checkSelect(taskForm.elements["duehour"],editHour);
				checkSelect(taskForm.elements["duemin"],editMin);
				
				//タスクデータから投稿のジャンルを取得
				var editStatus = taskData[edit_i].status;
				
				//フォームのラジオボタンにジャンルを入力
				var radioList = document.getElementsByName("taskstatus");
				for (i = 0; i < radioList.length; i++) {
					if(editStatus == 'work') {
						document.getElementsByName("taskstatus")[0].checked = true;
						}else if(editStatus == 'chores'){
							document.getElementsByName("taskstatus")[1].checked = true;
						}else if(editStatus == 'other'){
							document.getElementsByName("taskstatus")[2].checked = true;
					}
				}
				
				var monStatus = taskData[edit_i].monStatus;
				var tuesStatus = taskData[edit_i].tuesStatus;
				var wedStatus = taskData[edit_i].wedStatus;
				var thursStatus = taskData[edit_i].thursStatus;
				var friStatus = taskData[edit_i].friStatus;
				var satStatus = taskData[edit_i].satStatus;
				var sunStatus = taskData[edit_i].sunStatus;
				
				if(monStatus == 'true'){
					document.getElementById("checkbox1").checked = true;
				}
				if(tuesStatus == 'true'){
					document.getElementById("checkbox2").checked = true;
				}
				if(wedStatus == 'true'){
					document.getElementById("checkbox3").checked = true;
				}
				if(thursStatus == 'true'){
					document.getElementById("checkbox4").checked = true;
				}
				if(friStatus == 'true'){
					document.getElementById("checkbox5").checked = true;
				}
				if(satStatus == 'true'){
					document.getElementById("checkbox6").checked = true;
				}
				if(sunStatus == 'true'){
					document.getElementById("checkbox7").checked = true;
				}
				
				
				//タスクデータから予定時間を取得
				var editLimit = timeData.limitTime;
				if(editLimit > 0){
					var editLimitHour = Math.floor(editLimit / (1000*60*60));
					var editlimitMin = Math.floor((editLimit / (1000*60))-(editLimitHour*60));
					checkSelect(taskForm.elements["limithour"],editLimitHour);
					checkSelect(taskForm.elements["limitmin"],editlimitMin);
				}
				
				//タスクデータからタスク内容を取得
				var editTask = taskData[edit_i].task;
				
				//フォームのテキストエリアにタスク内容を入力
				var editTextArea = document.getElementById('task');	
				editTextArea.value = editTask;
			
			}
		}
	}
}



//詳細の表示と取消し線

swipeFunc();

function swipeFunc(){
	$("#acMenu dt#acOpen").swipe({
		swipe:function(event, direction, distance, duration, fingerCount) {
			
			var acOpen_i = $(this).attr('class').replace('acOpen','');
			var taskId = taskData[acOpen_i].id;
			var taskStatus = taskData[acOpen_i].status;
			var timeData = JSON.parse(localStorage.getItem("time"+taskId));
			var ddExpand = timeData.ddExpand;
			
			var expand = document.getElementById("expand"+acOpen_i);
			
			var txtColor = document.getElementById("txtpadding"+acOpen_i);
			var dateColor = document.getElementById("display"+acOpen_i);
			var limitDisplay = document.getElementById("canvas"+acOpen_i);
			var playDisplay = document.getElementById("playForm"+acOpen_i);
            var txtPadding = document.getElementById("txtpadding"+acOpen_i);
            var periodicCount = timeData.count;
			var lineDraw = document.getElementById("lineDraw"+acOpen_i);
			
			var lineDrawn = timeData.lineDrawn;
            
            //アンドロイドバグ対応
            var ua = navigator.userAgent;
            if( ua.indexOf("Android") > 0 ){
                var androidversion = parseFloat(ua.slice(ua.indexOf("Android")+8));
            }
				
			if(lineDrawn == 'false' && direction == null){
				if(ddExpand == 'false'){
					var timeData = JSON.parse(localStorage.getItem("time"+taskId)); //タスクの時間データを取得
					timeData.ddExpand = 'true'; //タスクの詳細が開いている
					localStorage.setItem('time'+taskId,JSON.stringify(timeData)); //ストレージに保存
					$(this).parent().css({ background:"#7f7f7f"});
					expand.style.position = 'absolute';
					expand.style.visibility = 'hidden';
				}else if(ddExpand == 'true'){
					var timeData = JSON.parse(localStorage.getItem("time"+taskId)); //タスクの時間データを取得
					timeData.ddExpand = 'false'; //タスクの詳細が閉じている
					localStorage.setItem('time'+taskId,JSON.stringify(timeData)); //ストレージに保存
					$(this).parent().css({ background:"#000"});
				}
				$(this).next().slideToggle(400);
				setTimeout(function() {
					expand.style.position = 'relative';
					expand.style.visibility = 'visible';
				}, 100);
				
				setTimeout(function() {
					myScroll.refresh();
				}, 200);
			}
				
			if(ddExpand == 'false' && androidversion > 2.3){
				
				if(lineDrawn == 'false' && direction == 'right'){
					
					timeData.lineDrawn = 'true';
					localStorage.setItem('time'+taskId,JSON.stringify(timeData));
				
					$('#lineDraw'+acOpen_i)
					.enqt( { width: lineWidth + 'px' }, 500 );
				
					txtColor.style.color = '#606060';
					if(taskStatus == 'work'){
						dateColor.style.color = '#7da6c5';
					}else if(taskStatus == 'chores'){
						dateColor.style.color = '#95a992';
					}else if(taskStatus == 'other'){
						dateColor.style.color = '#99899e';
					}
					limitDisplay.style.display = 'none';
					playDisplay.style.display = 'none';
                                 
                    if(periodicCount != 0){
                        txtPadding.style.background = 'none';
                    }
						
				}else if(lineDrawn == 'true' && direction == 'left'){
					
					$('#lineDraw'+acOpen_i)
					.enqt( { width: '0px' }, 500 );
				
					txtColor.style.color = '#fff';
					dateColor.style.color = '#fff';
					limitDisplay.style.display = 'block';
					playDisplay.style.display = 'block';
                    
                    if(periodicCount != 0){
                        if (folderLang == "jp") {
                            txtPadding.style.background = 'url("../images/periodic.png") no-repeat right 18px';
                        }else{
                            txtPadding.style.background = 'url("../images/periodic.png") no-repeat right 10px';
                        }
                    }
				
					timeData.lineDrawn = 'false';
					localStorage.setItem('time'+taskId,JSON.stringify(timeData));
						
				}
				
			}
		},
		 threshold:0
	});

}


//新規投稿のフェード

function fadeFunc(){
		for(var i=0; i<taskData.length; i++){
			var taskId = taskData[i].id;
			var taskStatus = taskData[i].status;
			
			timeData = JSON.parse(localStorage.getItem("time"+taskId));
			
			var displayLi = document.getElementById('display'+i);
			
			checkStatus = timeData.limit;
			if(checkStatus == 'new'){
				if(taskStatus == 'work'){
					displayLi.style.background = '#106697';
				}else if(taskStatus == 'chores'){
					displayLi.style.background = '#4c8140';
				}else if(taskStatus == 'other'){
					displayLi.style.background = '#7b4c8b';
				}
				$("#display"+i).stop().animate({ backgroundColor: "#000" }, 2000);
				
				timeData.limit = 'false';
				localStorage.setItem('time'+taskId,JSON.stringify(timeData));
			}
	 	}
}

//過去タスクの表示
var scroller = document.getElementById('scroller');
var loadPast = document.getElementsByClassName('loadCircle');

var loadCountUp = 0;

$('#scroller').bind('touchstart mousedown',startLoad);

$('#scroller').bind('touchend mouseup',endLoad);

function startLoad(){
	loadCountUp = 0;
	
	loadingTasks = setInterval(function(){
										
		var scroller = document.getElementById('scroller');
		var scrollerOffset = scroller.offsetTop;
		
		if(scrollerOffset > 0){
			loadCountUp++
			
			if(loadCountUp == 1){
				loadPast[0].style.background = '#999';
			}else if(loadCountUp == 2){
				loadPast[1].style.background = '#999';			
			}else if(loadCountUp == 3){
				loadPast[2].style.background = '#999';			
			}else if(loadCountUp == 4){
				loadPast[3].style.background = '#999';			
			}else if(loadCountUp == 5){
				loadPast[4].style.background = '#999';			
			}else if(loadCountUp > 5){
				var taskData = JSON.parse(localStorage.task);
		
				for(var i=0; i<taskData.length; i++){
					var now = new Date();
					var dayDate = new Date(now.getFullYear(), now.getMonth()+1, now.getDate(), 0, 0, 0);
					var time = dayDate.getTime();
			
					var deadLineDate = new Date(taskData[i].dueYear, taskData[i].dueMonth-1, taskData[i].dueDay, 0, 0, 0);
					var deadLineYear = deadLineDate.getFullYear();
					var deadLineMonth = deadLineDate.getMonth()+1;
					var deadLineDate = deadLineDate.getDate();
					var deadLineEnterDate = new Date(deadLineYear, deadLineMonth, deadLineDate, 0, 0, 0);
					var deadLineTime = deadLineEnterDate.getTime();
			
					var displayPage = localStorage.getItem('displayPage');
					var taskId = taskData[i].id;
					var taskStatus = taskData[i].status;
					
					timeData = JSON.parse(localStorage.getItem("time"+taskId));
			
					if(deadLineTime < time){
						yesterdayTitle.style.display = 'block';
						yesterdayList.style.display = 'block';
					}
			
					if(displayPage == 'workPage'){
						if(!yesterdayWork){
						yesterdayTitle.style.display = 'none';
						yesterdayList.style.display = 'none';
						}
					}else if(displayPage == 'choresPage'){
						if(!yesterdayChores){
							yesterdayTitle.style.display = 'none';
							yesterdayList.style.display = 'none';
						}
					}else if(displayPage == 'otherPage'){
						if(!yesterdayOther){
						yesterdayTitle.style.display = 'none';
						yesterdayList.style.display = 'none';
						}
					}
                    setTimeout(function() {
                        myScroll.refresh();
                    }, 200);
				}
			}
            
			var taskData = JSON.parse(localStorage.task);
			for(var i=0; i<taskData.length; i++){
                var txtPadding = document.getElementById("txtpadding"+i);
                var lineDraw = document.getElementById("lineDraw"+i);
                var lineHeight = txtPadding.clientHeight;
                var lineDrawn = timeData.lineDrawn;
                               
                lineDraw.style.height = lineHeight + 'px';
                lineDraw.style.marginTop = '-'+lineHeight+'px';
            }
		}
	}, 100);
		
}

function endLoad(){
	clearInterval(loadingTasks);
	loadPast[0].style.background = '#262626';
	loadPast[1].style.background = '#262626';
	loadPast[2].style.background = '#262626';
	loadPast[3].style.background = '#262626';
	loadPast[4].style.background = '#262626';
}
	
function addZero(num){
	if(num < 10){
		num = '0' + num;
	}
	return num;
}

function degToRad(degree) {return degree * Math.PI/180;}


